/* =============================================
   КОНТАКТЫ
   ============================================= */

.contacts { padding: 120px 0 60px; }

.contacts__head {  margin-bottom: 40px; }
.contacts__title { margin-bottom: 20px; }
.contacts__description { color: var(--graphite); }

.contacts__inner {
  display: grid;
  grid-template-columns: 0.9fr 1.05fr;
  gap: 80px;
}

.contacts__details {
  display: flex;
  flex-direction: column;
}

.contacts__row {
  display: grid;
  grid-template-columns: 160px 1fr;
  gap: 40px;
  padding: 20px 0;
  border-top: 1px solid var(--soft-sand);
  position: relative;
}

.contacts__row::before {
  display: block;
  content: '';
  height: calc(100% - 40px);
  top: 20px;
  left: 160px;
  width: 1px;
  position: absolute;
  background-color: var(--soft-sand);
}
.contacts__row:first-child { border-top: none; padding-top: 0; }
.contacts__row:last-child { padding-bottom: 0; }

.contacts__row:first-child::before { height: calc(100% - 20px); top: 0; }
.contacts__row:last-child::before { height: calc(100% - 20px); }

.contacts__label {  color: var(--deep-navy); }
.contacts__value {  color: var(--graphite); }
.contacts__value a { color: var(--graphite); }
.contacts__value a:hover { color: var(--corporate-blue); }

.contacts__map {
  flex: 1;
  border-radius: 24px;
  overflow: hidden;
  background: var(--sky-blue);
  box-shadow: 0px 2px 2px 0px #00000040;
  min-height: 340px;
}
.contacts__map iframe { display: block; width: 100%; height: 100%; min-height: 340px; border: 0; }

@media (max-width: 1080px) {
  .contacts__inner { grid-template-columns: 1fr; gap: 20px; }
  .contacts__map { min-height: 404px; }
}

@media (max-width: 768px) {
  .contacts { padding: 60px 0 40px; }
  .contacts__title { margin-bottom: 10px; }
  
  .contacts__map iframe { min-height: 404px; }

  .contacts__row {
    flex-direction: column;
    gap: 4px;
    border-top: none;
    padding: 10px 0;
  }
  .contacts__label { flex: none; }

  .contacts__row {
  display: grid;
  grid-template-columns: 125px 1fr;
  gap: 22px;
  padding: 10px 0;
  border-top: 1px solid var(--soft-sand);
  position: relative;
}

.contacts__row::before {
  height: calc(100% - 20px);
  top: 10px;
  left: 125px;
}

.contacts__row:first-child::before { height: calc(100% - 10px); top: 0; }
.contacts__row:last-child::before { height: calc(100% - 10px); }
}
